Kismet Wireless

Kismet Forums

 

Posted by:m2
Subject:gpsd 2.3 and latest kismet from subversion.
Date:22:22:34 14/12/2005

thanks for the tip!

trying to give the gpsdrive gpsd a go, but the ubuntu package doesn't seem to have gpsd included.

tried to compiled gpsdrive (i think 2.0.9 is the latest stable), having probs with the bug that it has that it doesn't like gcc 4 and asks you to use 3 and above, got around that by modifying the configure script, adding CC=/usr/sbin/gcc-3.3 at the top..
configured OK, but then I was getting errors trying to make, grrrr!

will paste the errors tomorrow when i'm back on the box, will ask on ubuntu forums if there is a way to use gpsd that should be in the gpsdrive package.
thanks for your help..

bear.

> IMHO gpsd is currently fatally broken.
>
> I can't use it at all with my GPS with any software, their NMEA parsing is broken, and their new client handling code is crap. I've dropped back to an old gpsd from gpsdrive, which at least crashes predictably.
>
> -m
>
> > Hi,
> >
> > Can't get gpsd to work properly with kismet.
> >
> > When I should have lock in a stationery position, noted with the gps with any other app (gpsdrive for example), kismet shows lock then NONE then lock.. in a cyclic manner.
> >
> > In the gpsd debug output I see many lines like these between the NMEA sentences:
> >
> > gpsd: <= client(5): PAVMH
> > gpsd: client(5): channel 4 already active.
> > gpsd: client(5): channel 4 already active.
> > gpsd: client(5): channel 4 already active.
> > gpsd: client(5): channel 4 already active.
> >
> > any ideas?
> >
> > thanks.


Reply to this message